summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaromil <jaromil@dyne.org>2014-09-12 15:58:13 (GMT)
committer Jaromil <jaromil@dyne.org>2014-09-12 15:58:13 (GMT)
commit7099d6622586bb79502484d151e4edd10b772e09 (patch)
tree3a27cc6be3d71690b6b36e3a9f379d54740731d5
parentfc133980a06bb694f4c8a3bb39e102b28adca923 (diff)
added jhead and dcraw build and some more fixes
-rw-r--r--build/media/Sources7
-rw-r--r--build/media/conf.zsh55
-rw-r--r--build/network/conf.zsh5
-rw-r--r--build/system/Sources4
-rw-r--r--build/system/conf.zsh17
5 files changed, 70 insertions, 18 deletions
diff --git a/build/media/Sources b/build/media/Sources
index 6e16563..2ed4f9e 100644
--- a/build/media/Sources
+++ b/build/media/Sources
@@ -1,6 +1,7 @@
# image
libexif -0.6.21 .tar.bz2
-#lcms2 -2.4 .tar.gz
+jasper -1.900.1 .tar.bz2
+lcms2 -2.6 .tar.gz
libpng -1.5.13 .tar.gz
#openjpeg -1.5.1 .tar.gz
jpeg -8d .tar.gz
@@ -9,6 +10,10 @@ tiff -4.0.3 .tar.gz
freetype -2.4.10 .tar.bz2
ImageMagick -6.7.8-7 .tar.bz2
+# meta
+jhead -2.97 .tar.gz
+# dcraw by hand in conf.sh
+
# audio
libsndfile -1.0.25 .tar.gz
#libmad -0.15.1b .tar.gz
diff --git a/build/media/conf.zsh b/build/media/conf.zsh
index 9535f09..7721a6d 100644
--- a/build/media/conf.zsh
+++ b/build/media/conf.zsh
@@ -13,6 +13,8 @@
prepare_sources
+
+
########
## IMAGE
@@ -25,6 +27,12 @@ prepare_sources
# popd
# }
+compile jasper default
+zinstall jasper
+
+compile lcms2 default
+zinstall lcms2
+
compile libexif default
zinstall libexif
@@ -43,6 +51,21 @@ zinstall tiff
compile freetype default
zinstall freetype
+####################
+## META DATA IMAGE EDITOR
+pushd jhead
+zmake
+cp jhead $PREFIX/bin/
+popd
+
+# DCRAW
+{ test -r dcraw.o } || { $CC ${=CFLAGS} -I $ZHOME/system/include -c dcraw.c }
+{ test -r dcraw } || { $LD ${=LDFLAGS} -L $ZHOME/system/lib dcraw.o -o dcraw -lm -llcms2 -ljasper -ljpeg -lpthread -lm }
+cp dcraw $PREFIX/bin/
+
+
+####################
+## ImageMagick suite
compile ImageMagick default \
--disable-shared --disable-deprecated --without-fontconfig --without-x \
--without-pango --without-openexr
@@ -50,8 +73,6 @@ compile ImageMagick default \
zinstall ImageMagick
-
-
########
## AUDIO
@@ -93,9 +114,27 @@ zinstall liboggz
compile sox default "--disable-shared --with-distro=ZShaolin"
zinstall sox
+#pushd id3ren/src
+#zmake
+#popd
+
+
########
## VIDEO
+compile x264 default "--disable-shared --enable-static --cross-prefix=${ZTARGET}-"
+zinstall x264
+
+compile ffmpeg "--prefix=$PREFIX --disable-shared --enable-static --enable-gpl --enable-version3 --extra-libs=-static --extra-cflags=-static-libgcc" "--enable-zlib --enable-cross-compile --cross-prefix=${ZTARGET}- --target-os=linux --cc=${ZTARGET}-gcc --host-cc=${ZTARGET}-gcc --arch=armv5 --disable-asm --disable-debug --enable-libvorbis --enable-libx264 --enable-libspeex"
+pushd ffmpeg
+make doc/ffmpeg.1
+make doc/ffprobe.1
+popd
+zinstall ffmpeg
+
+
+return
+
notice "Building xvidcore"
{ test -r xvidcore.done } || {
pushd xvidcore/build/generic
@@ -112,18 +151,6 @@ notice "Building xvidcore"
}
act "done."
-compile x264 default "--disable-shared --enable-static --cross-prefix=${ZTARGET}-"
-zinstall x264
-
-compile ffmpeg "--prefix=$PREFIX --disable-shared --enable-static --enable-gpl --enable-version3 --extra-libs=-static --extra-cflags=-static-libgcc" "--enable-zlib --enable-cross-compile --cross-prefix=${ZTARGET}- --target-os=linux --cc=${ZTARGET}-gcc --host-cc=${ZTARGET}-gcc --arch=armv5 --disable-asm --disable-debug --enable-libvorbis --enable-libx264 --enable-libspeex"
-pushd ffmpeg
-make doc/ffmpeg.1
-make doc/ffprobe.1
-popd
-zinstall ffmpeg
-
-
-
# TODO: theora broken
# if ! [ -r $pkg[theora].done ]; then
diff --git a/build/network/conf.zsh b/build/network/conf.zsh
index 71a58ea..248d703 100644
--- a/build/network/conf.zsh
+++ b/build/network/conf.zsh
@@ -77,6 +77,9 @@ LIBS="$LIBS -lz -ldl -lcurl -lcrypto" \
{ test $? = 0 } && {
LIBS="$LIBS" make ${GIT_FLAGS}
+ # for manuals by hand:
+ # make man
+ # make install-man
pushd templates
LIBS="$LIBS" make install ${GIT_FLAGS}
popd
@@ -99,7 +102,7 @@ gitshellscripts=`find $APKPATH/files/system/libexec/git-core -type f`
for i in ${(f)gitshellscripts}; do
func "git: fixing shellbang for $i"
file $i | grep -i 'posix shell script' > /dev/null
- { test $? = 0 } && { sed -i "s@^#!/bin/sh@#!$PREFIX/bin/zsh@" $i }
+ { test $? = 0 } && { sed -i "s@^#!/bin/sh@#!env zsh@" $i }
done
popd
}
diff --git a/build/system/Sources b/build/system/Sources
index 3376818..66750b1 100644
--- a/build/system/Sources
+++ b/build/system/Sources
@@ -3,7 +3,9 @@
zlib -1.2.5 .tar.gz http://www.gnu.org
ncurses -5.9 .tar.gz
slang -2.2.4 .tar.bz2 http://www.jedsoft.org/slang
-zsh -5.0.2 .tar.bz2 http://www.zsh.org
+pcre -8.35 .tar.bz2 http://www.pcre.org
+zsh -5.0.6 .tar.bz2 http://www.zsh.org
+# zsh -4.3.17 .tar.bz2 http://www.zsh.org
# zsh -4.3.15 .tar.bz2 http://www.zsh.org
sed -4.2.1 .tar.bz2 http://www.gnu.org
gawk -4.0.0 .tar.bz2 http://www.gnu.org
diff --git a/build/system/conf.zsh b/build/system/conf.zsh
index 8140258..ef42ede 100644
--- a/build/system/conf.zsh
+++ b/build/system/conf.zsh
@@ -34,8 +34,23 @@ ln -sf libncursesw.a libncurses.a
ln -sf libncursesw.a libcurses.a
popd
+# The ZSH
+compile pcre default "--disable-cpp"
+zinstall pcre
+
#compile zsh default
-#zinstall zsh
+{ test -r zsh.done } || {
+pushd zsh
+LIBS="-lpcre" zconfigure default "--enable-pcre --enable-cap"
+cp ../zsh-config.h config.h
+cp ../zsh-modules-parameter.c Src/Modules/parameter.c
+cp ../zsh-config.modules config.modules
+make prep
+zmake
+[[ $? = 0 ]] && touch ../zsh.done
+popd
+}
+zinstall zsh
## s-lang
notice "Building S-Lang"